Core - Bug # 40195

Task # 40095 (Resolved): Move core to namespaces

Status: Closed Priority: Must have
Author: Felix Kopp Category:

Created: 2012-08-25 Assigned To:

Updated: 2012-11-27 Due date:

TYPOS3 Version: 6.0

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subiject: Namespace: Form: make Filter

Description

The filter classes musst be instanciated with the namespace prefix.

See EXT: form/Classes/Utility/FilterUtility::createFilter.
Problem is, that the createFilter does not assemble the correct Filter class path with namespace.

Related issues:

related to Core - Bug # 40850: Form shows Fatal Error in Frontend Resolved 2012-09-12
duplicated by Core - Bug # 41215: Form fatals in frontend after class renames Closed 2012-09-21
History

#1 - 2012-08-25 20:48 - Christian Kuhn
- Parent task set to #40095

#2 - 2012-08-26 00:47 - Stefan Froemken

Here is the review:
https://review.typo3.org/#/c/14100/

This patch only solves the namespacing problems described here.

But there are some more problems with this extension:

[Sun Aug 26 00:35:57 2012] [error] [client 192.168.100.21] PHP Fatal error: Call to a member function noWrap() on a non-object in

/var/www/typo3_src-git/typo3/sysext/form/Classes/View/Form/Element/ContainerElementView.php on line 58

But I'm not as familar to solve this bug.

Stefan Froemken

#3 - 2012-10-31 20:56 - Christian Kuhn
- Status changed from New to Closed

patch was abandoned, issue was tackled with related issues.
https://review.typo3.org/#/c/14100/

#4 - 2012-11-27 21:55 - Helmut Hummel
- % Done changed from 0 to 100
